![Framefox](./docs/images/framefox.png?raw=true "Framefox")


## Documentation 
Our documentation is available 
<a href="https://soma-smart.github.io/doc-framefox/" class="button button-docs" target="_blank">
				 Here
			</a> :)


# Swift, smart, and a bit foxy !

- **Object-oriented framework**: Framefox is designed with an object-oriented approach, providing a structured and organized way to build your web applications.
- **Simplified development**: The framework is designed to simplify the development of robust, modular, and maintainable applications.
- **Clear MVC architecture**: Emphasizes a clear Model-View-Controller (MVC) architecture for better code organization and separation of concerns.
- **Productivity-driven philosophy**: Focuses on enhancing developer productivity with its intuitive structure and features.

Key features include an interactive terminal, a powerful routing system, advanced configuration management, pre-configured authentications and registration, ORM database management, and much more.

Dive into this documentation to discover how Framefox can transform your Python development experience.

Key features include an interactive terminal, a powerful routing system, advanced configuration management, pre-configured authentications and registration, ORM database management, and much more.



## How to test terminal locally without importing from pip ?

### Using venv

```bash
python -m venv env
source env/bin/activate
```
### Using Conda
```bash
conda create -n framefox_env python=3.12
conda activate framefox_env
```

### Then, to use framefox command
```bash
pip install -e .
```

## Contributing

We welcome contributions to Framefox! To ensure a smooth collaboration, please adhere to the following rules:

1. **Fork the Repository**
   - Create a personal fork of the repository on GitHub.

2. **Create a Branch**
   - Before making changes, create a new branch for your feature or bugfix:
     ```bash
     git checkout -b feature/your-feature-name
     ```

3. **Write Clear Commit Messages**
   - Use concise and descriptive commit messages to explain your changes.

4. **Follow the Code Style**
   - Adhere to the existing coding standards and style guidelines used in Framefox.

5. **Ensure Code Quality**
   - Write clean, readable, and well-documented code.
   - Include unit tests for new features and bug fixes.

6. **Update Documentation**
   - If your changes affect the documentation, update the relevant sections accordingly.

7. **Run Tests**
   - Ensure that all tests pass before submitting your pull request

8. **Submit a Pull Request**
   - After pushing your changes, submit a pull request against the `main` branch.
   - Provide a detailed description of your changes and their purpose.

9. **Be Respectful and Collaborative**
   - Communicate respectfully with other contributors.
   - Be open to feedback and willing to make necessary adjustments.

10. **Review and Respond Promptly**
    - Respond to feedback on your pull requests in a timely manner.

By following these guidelines, you help maintain the quality and integrity of the Framefox framework. Thank you for your contributions!


## Authors

- BOUMAZA Rayen - [@RayenBou](https://github.com/RayenBou)
- LEUROND Raphaël  - [@Vasulvius](https://github.com/Vasulvius)